



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>CentOS 6 安装配置JDK+tomcat环境</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">CentOS 6 安装配置JDK+tomcat环境</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-23 14:35:55 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h3>1.安装OpenJDK</h3>
<blockquote><p>这里安装的OpenJDK，是开源版本的JDK，我们平时自己电脑上安装的是 Sun JDK(也叫Oracle JDK），OpenJDK可以看作Sun JDK的精简版。<br /><br />
如果想安装SunJDK，请参照下方的tomcat安装方法，步骤是一样的，注意liunx有些自带OpenJDK，需卸载。</p></blockquote>
<blockquote><p>注意，安装OpenJDK简单迅速，只需一条命令，且无需配置环境变量</p></blockquote>
<h4>①查看是否已经安装了JDK</h4>
<pre class="prettyprint linenums"><code>java -version<br />
rpm -qa |grep java<br />
rpm -qa |grep jdk<br />
</code></pre>
<h4>②若有如何卸载</h4>
<p>卸载JDK相关文件输入：</p>
<pre class="prettyprint linenums"><code>yum -y remove java-1.8.0-openjdk*<br />
</code></pre>
<p>卸载tzdata-java输入：</p>
<pre class="prettyprint linenums"><code>yum -y remove tzdata-java.noarch<br />
</code></pre>
<h4>③安装</h4>
<pre class="prettyprint linenums"><code>yum list java* #查看版本

yum list java-1.8* #查看1.8版本

yum install java-1.8.0-openjdk* -y # 安装<br />
</code></pre>
<p>执行:</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# yum -y install java-1.8.0-openjdk*<br />
Loaded plugins: fastestmirror<br />
Setting up Install Process<br />
Loading mirror speeds from cached hostfile<br />
* base: repos-lax.psychz.net<br />
* elrepo-kernel: repos.lax-noc.com<br />
* extras: repos-lax.psychz.net<br />
* updates: mirrors.oit.uci.edu<br />
Resolving Dependencies<br />
--&gt; Running transaction check<br />
---&gt; Package java-1.8.0-openjdk.i686 1:1.8.0.191.b12-0.el6_10 will be installed<br />
...

Complete!<br />
</code></pre>
<h4>④检查安装结果</h4>
<pre class="prettyprint linenums"><code>[root@localhost ~]# java -version<br />
openjdk version &quot;1.8.0_191&quot;<br />
OpenJDK Runtime Environment (build 1.8.0_191-b12)<br />
OpenJDK Server VM (build 25.191-b12, mixed mode)<br />
</code></pre>
<blockquote><p>执行java和javac,正常,无需配置环境变量</p></blockquote>
<h3>3.安装tomcat</h3>
<h4>①去官网下载安装包</h4>
<pre class="prettyprint linenums"><code>https://tomcat.apache.org/download-90.cgi<br />
这里我下的是9.0的版本<br />
</code></pre>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1365724/201812/1365724-20181211234707635-1622697499.png"></p>
<h4>②上传至服务器然后解压</h4>
<p>这里我用的FileZilla 上传到ftp账户里</p>
<pre class="prettyprint linenums"><code>[root@localhost ftpuser]# ls<br />
222  apache-tomcat-9.0.13.tar.gz  dir1-0  dir1-1<br />
</code></pre>
<p>然后复制此文件到/usr/local/tomcat/目录下</p>
<blockquote><p>tomcat目录为自己创建，安装对路径并无要求</p></blockquote>
<pre class="prettyprint linenums"><code>[root@localhost ftpuser]# cp apache-tomcat-9.0.13.tar.gz /usr/local/tomcat/<br />
[root@localhost ftpuser]# cd /usr/local/tomcat<br />
[root@localhost tomcat]# ls<br />
apache-tomcat-9.0.13.tar.gz<br />
</code></pre>
<p>进入文件所在目录解压即可</p>
<pre class="prettyprint linenums"><code>[root@localhost tomcat]# tar zxvf apache-tomcat-9.0.13.tar.gz<br />
</code></pre>
<h4>③启动tomcat</h4>
<pre class="prettyprint linenums"><code>[root@localhost tomcat]# cd apache-tomcat-9.0.13/bin<br />
[root@localhost bin]# ./startup.sh<br />
Using CATALINA_BASE:   /usr/local/tomcat/apache-tomcat-9.0.13<br />
Using CATALINA_HOME:   /usr/local/tomcat/apache-tomcat-9.0.13<br />
Using CATALINA_TMPDIR: /usr/local/tomcat/apache-tomcat-9.0.13/temp<br />
Using JRE_HOME:        /usr<br />
Using CLASSPATH:       /usr/local/tomcat/apache-tomcat-9.0.13/bin/bootstrap.jar:/usr/local/tomcat/apache-tomcat-9.0.13/bin/tomcat-juli.jar<br />
Tomcat started.<br />
</code></pre>
<p>关闭防火墙或者开放端口后，即可用任意一台设备访问tomcat</p>
<pre class="prettyprint linenums"><code>开启端口<br />
[root@localhost ~]# /sbin/iptables -I INPUT -p tcp –dport 8080 -j ACCEPT #开启8080端口<br />
[root@localhost ~]# /etc/rc.d/init.d/iptables save #保存配置<br />
[root@localhost ~]# /etc/rc.d/init.d/iptables restart #重启防火墙<br />
关闭防火墙<br />
service iptables stop #暂时关闭<br />
chkconfig iptables off #设置成开启不自启<br />
</code></pre>
<blockquote><p>如我在自己电脑的浏览器输入 服务器ip:8080</p></blockquote>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1365724/201812/1365724-20181212002642906-1669571968.png"></p>
<h4>④查看tomcat版本</h4>
<pre class="prettyprint linenums"><code>[root@localhost bin]# ./catalina.sh version<br />
Using CATALINA_BASE:   /usr/local/tomcat/apache-tomcat-9.0.13<br />
Using CATALINA_HOME:   /usr/local/tomcat/apache-tomcat-9.0.13<br />
Using CATALINA_TMPDIR: /usr/local/tomcat/apache-tomcat-9.0.13/temp<br />
Using JRE_HOME:        /usr<br />
Using CLASSPATH:       /usr/local/tomcat/apache-tomcat-9.0.13/bin/bootstrap.jar:/usr/local/tomcat/apache-tomcat-9.0.13/bin/tomcat-juli.jar<br />
Server version: Apache Tomcat/9.0.13<br />
Server built:   Nov 2 2018 14:27:55 UTC<br />
Server number:  9.0.13.0<br />
OS Name:        Linux<br />
OS Version:     4.10.4-1.el6.elrepo.i686<br />
Architecture:   i386<br />
JVM Version:    1.8.0_191-b12<br />
JVM Vendor:     Oracle Corporation<br />
[root@localhost bin]#<br />
</code></pre>
<h4>⑤关闭tomcat</h4>
<blockquote><p>查看tomcat是否运行</p></blockquote>
<pre class="prettyprint linenums"><code>ps -ef | grep tomcat<br />
[root@localhost bin]# ps -ef | grep tomcat<br />
root      6975  6663  0 11:43 pts/1    00:00:00 grep tomcat<br />
</code></pre>
<blockquote><p>关闭tomcat（执行shutdown.sh脚本）</p></blockquote>
<pre class="prettyprint linenums"><code>[root@localhost apache-tomcat-9.0.13]# cd bin<br />
[root@localhost bin]# ./shutdown.sh<br />
Using CATALINA_BASE:   /usr/local/tomcat/apache-tomcat-9.0.13<br />
Using CATALINA_HOME:   /usr/local/tomcat/apache-tomcat-9.0.13<br />
Using CATALINA_TMPDIR: /usr/local/tomcat/apache-tomcat-9.0.13/temp<br />
Using JRE_HOME:        /usr<br />
Using CLASSPATH:       /usr/local/tomcat/apache-tomcat-9.0.13/bin/bootstrap.jar:/usr/local/tomcat/apache-tomcat-9.0.13/bin/tomcat-juli.jar<br />
</code></pre>
<h4>⑥卸载tomcat</h4>
<blockquote><p>直接删除安装目录</p></blockquote>
<pre class="prettyprint linenums"><code>rm -rf /usr/local/tomcat/apache-tomcat-9.0.13</code></pre>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/g8eogzq1.html">Ubuntu下开启php调试模式，显示报错信息</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdk6z9d.html">Storm构建分布式实时处理应用初探</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8z11vx9.html">Atitit 衡量项目的规模</a>
		</li>
						<li><a href="https://www.batexi.com/a/39r77v48.html">NSQ的消息订阅发布测试</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8oolge8.html">POJ1185 炮兵阵地</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8oexwe9.html">Linux - 常用Shell快捷键</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8ez4em8.html">禁止苹果浏览器Safari将数字识别成电话号码的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv5l5zq.html">2016 Al-Baath University Training Camp Contest-1 E</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okond19.html">sort&lpar;&rpar;排序</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xk11z9.html">opencv数据结构-MAT结构详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/qden4gz9.html">function overloading&sol; declare function</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jxv6w8.html">php并发控制 ， 乐观锁</a>
		</li>
						<li><a href="https://www.batexi.com/a/90me0oo8.html">iOS打包后收不到推送信息</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdewwd9.html">deeplearning&period;ai 神经网络和深度学习 week3 浅层神经网络 听课笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/93yezlz8.html">本地windows下搭建git的本地服务器</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjjedz9.html">Linux 目录结构详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kj23279.html">JAVA中的值传递和引用传递问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjrrv79.html">网络传输 buf 封装 示例代码</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllr3v1q.html">OCP-1Z0-051-V9&period;02-13题    单引号的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1lvl09.html">MM bound 与 Jensen&amp;&num;39&semi;s inequality</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qwv62238.html">C&num; EPPlus导出EXCEL&comma;并生成Chart表</a>
			</li>
						<li><a href="https://www.batexi.com/a/9601evy9.html">C&num; WPF 中WebBrowser拖动来移动窗口，改变窗口位置</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwm71z9.html">深入解析SQL Server高可用镜像实现原理</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2x4mo9.html">【npm】详解npm的模块安装机制</a>
			</li>
						<li><a href="https://www.batexi.com/a/qllzmo6q.html">Vim实用技巧系列 - 利用百度云和git实现vim配置多机共享</a>
			</li>
						<li><a href="https://www.batexi.com/a/9606oyn9.html">09-04 java 接口</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zy5o639.html">java&period;io&period;IOException&colon; Stream closed解决办法</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdw6wv09.html">全球各大邮件SMTP服务限制</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2575p3q.html">JDK并发包总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/96063m49.html">一口一口吃掉Hexo（三）</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
